package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.entity.DeepLearnTrainServer;
import com.gct.dlview.entity.vo.PageBody;
import com.gct.dlview.service.DeepLearnTestServerService;
import com.gct.dlview.service.DeepLearnTrainServerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@RestController
@RequestMapping("/deepLearnTrainServer")
public class DeepLearnTrainServerController {

    @Autowired
    DeepLearnTrainServerService service;

    @PostMapping("/page")
    public Result getPageByCondition(@RequestBody PageBody<DeepLearnTrainServer> pageBody) {
        return service.getPageByCondition(pageBody);
    }

    @PostMapping("/getOne")
    public Result getOneByCondition(@RequestBody DeepLearnTrainServer condition) {
        return service.getOneByCondition(condition);
    }

    @PostMapping("/deleteOne")
    public Result deleteOneById(@RequestBody DeepLearnTrainServer condition){
        return service.deleteOneById(condition);
    }

    @PostMapping("/deleteBatch")
    public Result deleteOneById(@RequestBody List<DeepLearnTrainServer> condition){
        return service.deleteBatchById(condition);
    }

    @PostMapping("/saveOne")
    public Result saveOne(@RequestBody DeepLearnTrainServer deepLearnTrainServer){
        return service.saveOne(deepLearnTrainServer);
    }
}

