package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.service.GroupInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 分组信息 前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-08-17
 */
@RestController
@RequestMapping("/groupInfo")
public class GroupInfoController {

    @Autowired
    GroupInfoService groupInfoService;

    @GetMapping("/getGroupInfoTree")
    public Result getGroupInfoTree() {
        return Result.ok(groupInfoService.getGroupInfoTree());
    }

    @GetMapping("/addSubGroup")
    public Result addSubGroup(@RequestParam Integer parentGroupId, @RequestParam String remark, @RequestParam String groupName) {
        return Result.ok(groupInfoService.addSubGroup(parentGroupId, remark, groupName));
    }

    @GetMapping("/deleteGroup")
    public Result deleteGroup(@RequestParam Integer groupId){
        return Result.ok(groupInfoService.deleteGroup(groupId));
    }
}

