package com.gct.dlview.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 训练任务
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TrainTask对象", description="训练任务")
public class TrainTask extends Model<TrainTask> {

    private static final long serialVersionUID=1L;

    private Integer id;

    private Integer trainSampleSourceId;

    private Integer trainServerId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "TODO:more than 7 step")
    private Integer taskState;

    @ApiModelProperty(value = "中间数据，持久化进度恢复所必要的json")
    private String intermediateData;

    private BigDecimal progressPercentage;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
